Bug 249726 - Misspellings in RPM description, suggested clarifications
Misspellings in RPM description, suggested clarifications
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Don Zickus
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 13:49 EDT by Steve Bonneville
Modified: 2009-01-20 15:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2007-07-26 13:49:01 EDT
Description of problem:

There are typos in the description of the kernel-xen RPM, and 
it could use clarification.

Currently READS:
This package includes a version of the Linux kernel which runs in Xen VM.  It
works for both priviledged and unpriviledged hosts.

Suggest SHOULD READ:
This package includes a Xen hypervisor and a version of the Linux kernel which
can run Xen VMs for privileged hosts and unprivileged paravirtualized hosts.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-8.1.8.el5
Comment 1 Bill Burns 2008-04-30 10:08:14 EDT
Reassigning to the package maintainer.
Comment 2 Don Zickus 2008-04-30 10:34:11 EDT
Fair enough, I'll post this change for 5.3.

Out of curiosity, was this a customer request or something you noticed.  Just
wondering if I should go proof read the other descriptions too for proper English.
Comment 3 Steve Bonneville 2008-04-30 10:58:13 EDT
A customer and I discovered the description problem with the xen package
reported in bug #249719 during a training class, which led us to look at the
kernel-xen description, which led us to this bug.

If we can mess these up, my guess is that there are other descriptions that are
off; up to y'all to figure out how high a priority it is to do an editing
pass/bug hunt.  :)  I wonder if there's a way to run Summary and Description
through a spelling checker in a useful way when we QA?
Comment 4 Don Zickus 2008-04-30 11:17:03 EDT
hmm.  Spell checking is an interesting idea for rpmdiff maybe.  But I am all for
improving the text if it helps people understand the packages easier.

Sometimes it is the little things that makes Red Hat provide a better service. :-)
Comment 6 RHEL Product and Program Management 2008-06-09 18:01:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-09-15 10:16:13 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 errata-xmlrpc 2009-01-20 15:21:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.